Summary: An X Window System clone of the space combat arcade game Galaga.
Name: xgalaga
Version: 1.6c
Release: 9
Copyright: Shareware
Group: Amusements/Games
Source: ftp://ftp.x.org/contrib/games/xgalaga-1.6c.tar.gz
Patch: xgalaga-1.6b-misc.patch
Patch1: xgalaga-1.6b-sound.patch
Patch2: xgalaga-1.6b-nobr.patch
Patch3: xgalaga-1.6c-proto.patch
Url: http://www.aa.net/~ogre/xgal.html
BuildRoot: /var/tmp/xgalaga-root

%description
XGalaga is an X Window System based clone of the space combat arcade game
Galaga.  Use your mouse to move your ship, while your mouse button fires
your weapon.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1 -b .nobr
%patch3 -p1

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/lib,usr/X11R6/bin,var/lib/games}

make DESTDIR=$RPM_BUILD_ROOT install

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xgalaga <<EOF
xgalaga name "xgalaga"
xgalaga description "Galaga clone"
xgalaga group Games/Video
xgalaga exec "xgal &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/xgal
/usr/lib/xgalaga
/var/lib/games/xgalscores
%config /etc/X11/wmconfig/xgalaga

%changelog
* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
